> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/upload-files-with-the-geopard-api.md).

# Prześlij pliki za pomocą API GeoPard

{% hint style="success" %}
Zalecanym sposobem przesyłania plików o rozmiarze powyżej 6 MB jest [przepływ przesyłania za pomocą wstępnie podpisanego adresu URL](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

Interfejs API GeoPard umożliwia przesyłanie archiwów ZIP zawierających zbiory danych dotyczące gleby, plonów, wykonanych zabiegów i granic pól w celu ich dalszego przetwarzania i analizy.

{% hint style="danger" %}
Ze względu na ograniczenie AWS maksymalny rozmiar pliku, który można przesłać za pomocą tego punktu końcowego REST, wynosi 6 MB.
{% endhint %}

Sposób przesyłania plików o rozmiarze powyżej 6 MB opisano w sekcji [Przesyłanie plików ZIP (powyżej 6 MB)](https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Zaraz po pomyślnym przesłaniu zbioru danych dotyczącego gleby, plonów lub wykonanych zabiegów silnik GeoPard łączy go z odpowiednimi polami znajdującymi się w określonym gospodarstwie.

Zaraz po pomyślnym przesłaniu granicy silnik GeoPard rozpoczyna jej przetwarzanie.

Odpowiedź zawiera `<uuid>` którego można użyć do śledzenia stanu przetwarzania.

#### Przykładowe żądanie:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametry:

1. `<type>` — typ przesyłanego zbioru danych. Musi to być `yield` LUB `soil` LUB `applied` LUB `boundary`.
2. `<farm_uuid>` — `uuid` gospodarstwa, do którego zostanie przesłany plik (opcjonalnie).
3. `<token>` — token dostępu GeoPard.
4. `@path/to/file.zip` — ścieżka do przesyłanego pliku.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
